import { JavaObject } from '../../../java/lang/JavaObject';
export declare class LehrerStammdaten extends JavaObject {
    id: number;
    kuerzel: String;
    personalTyp: String;
    anrede: String | null;
    titel: String | null;
    amtsbezeichnung: String | null;
    nachname: String;
    vorname: String;
    geschlecht: number;
    geburtsdatum: String | null;
    staatsangehoerigkeitID: String | null;
    strassenname: String | null;
    hausnummer: String | null;
    hausnummerZusatz: String | null;
    wohnortID: Number | null;
    ortsteilID: Number | null;
    telefon: String | null;
    telefonMobil: String | null;
    emailPrivat: String | null;
    emailDienstlich: String | null;
    foto: String | null;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): LehrerStammdaten;
    static transpilerToJSON(obj: LehrerStammdaten): string;
    static transpilerToJSONPatch(obj: Partial<LehrerStammdaten>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_lehrer_LehrerStammdaten(obj: unknown): LehrerStammdaten;
